﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR204Xi: (1 yr) VER IEEE /9500/3200+1Hd,DMM
DATE:                  2011-11-28 09:33:12
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       347
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
# 
#  Source(s):
#        Chapter 5 - WRXi Performance Verification Rev D.pdf
#        Chapter 5 - WRXi Performance Verification Test Record rev D.pdf
# 
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         2000.1MH                     1Vpp           LS    S  L
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  CALL         Sub Initialize /DMM

  1.006  ASK-   R   Q N              P                            A        V

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method (No NTHROW)

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         PRELIMINARY INSTRUCTIONS
  1.019  CALL         Sub LeCroy WS-GPIB Connection
  1.020  CALL         Sub LeCroy WS-GPIB Setup
  1.021  CALL         Sub LeCroy WS-GPIB Initialization

  1.022  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.023  MATH         L[2] = ZCMPI(@ModelNum, "WR204Xi")

  1.024  IF           NOT(L[1]) || NOT(L[2])
  1.025  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.025  DISP         not a LeCroy WR204Xi!
  1.026  END
  1.027  ENDIF

  1.028  CALL         Sub Datron 9500 Configuration Query IEEE

  1.029  HEAD         EQUIPMENT REQUIREMENTS
  1.030  OPBR         -z Do you want to REVIEW the list of additional
  1.030  OPBR         equipment and/or accessories required?

  1.031  IF           MEM1
  1.032  DISP         The following additional equipment and/or
  1.032  DISP         accessories are required:
  1.032  DISP
  1.032  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.032  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.033  ENDIF

# Set the system confidence level to 95%.
  1.034  MATH         @SysConf = 2
  1.035  MATH         @DevName = "Datron 9500"

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.036  MATH         @SourceMultiCh = 0

  1.037  CALL         Sub LeCroy WRXi Set BW & Number of Channels

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   CHANNEL INPUT IMPEDANCE(CH3)       PEAK-PEAK NOISE LEVEL(CH3)
#    5.   CHANNEL INPUT IMPEDANCE(CH4)       PEAK-PEAK NOISE LEVEL(CH4)
#    6.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    7.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    8.   LEAKAGE CURRENT(CH2)               LEAKAGE CURRENT(CH3)
#    9.   LEAKAGE CURRENT(CH3)               LEAKAGE CURRENT(CH4)
#   10.   LEAKAGE CURRENT(CH4)               EXTERNAL TRIGGER LEAKAGE CURRENT
#   11.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#   12.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#   13.   PEAK-PEAK NOISE LEVEL(CH2)         DC GAIN ACC(CH1)
#   14.   PEAK-PEAK NOISE LEVEL(CH3)         OFFSET ACC(CH1)
#   15.   PEAK-PEAK NOISE LEVEL(CH4)         BANDWIDTH(CH1)
#   16.   DC GAIN ACC(CH1)                   TRIGGER LEVEL(CH1)
#   17.   DC GAIN ACC(CH2)                   TIME BASE
#   18.   DC GAIN ACC(CH3)                   CHANNEL INPUT IMPEDANCE(CH2)
#   19.   DC GAIN ACC(CH4)                   DC GAIN ACC(CH2)
#   20.   OFFSET ACC(CH1)                    OFFSET ACC(CH2)
#   21.   OFFSET ACC(CH2)                    BANDWIDTH(CH2)
#   22.   OFFSET ACC(CH3)                    TRIGGER LEVEL(CH2)
#   23.   OFFSET ACC(CH4)                    CHANNEL INPUT IMPEDANCE(CH3)
#   24.   BANDWIDTH(CH1)                     DC GAIN ACC(CH3)
#   25.   BANDWIDTH(CH2)                     OFFSET ACC(CH3)
#   26.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   27.   BANDWIDTH(CH4)                     TRIGGER LEVEL(CH3)
#   28.   TRIGGER LEVEL(CH1)                 CHANNEL INPUT IMPEDANCE(CH4)
#   29.   TRIGGER LEVEL(CH2)                 DC GAIN ACC(CH4)
#   30.   TRIGGER LEVEL(CH3)                 OFFSET ACC(CH4)
#   31.   TRIGGER LEVEL(CH4)                 BANDWIDTH(CH4)
#   32.   TIME BASE                          TRIGGER LEVEL(CH4)

  1.038  CALL         Sub LeCroy WRXi Self-Test IEEE

  1.039  IF           @Abort
  1.040  END
  1.041  ENDIF

  1.042  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.043  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.044  MATH         @Chan = 1
  1.045  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.046  JMPL         DC_GAIN_ACC_CH1

  1.047  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.048  MATH         @Chan = 2
  1.049  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.050  JMPL         DC_GAIN_ACC_CH2

  1.051  LABEL        CHANNEL_INPUT_IMPEDANCE_CH3
  1.052  MATH         @Chan = 3
  1.053  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.054  JMPL         DC_GAIN_ACC_CH3

  1.055  LABEL        CHANNEL_INPUT_IMPEDANCE_CH4
  1.056  MATH         @Chan = 4
  1.057  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.058  JMPL         DC_GAIN_ACC_CH4

  1.059  LABEL        EXT_INPUT_IMPEDANCE
  1.060  MATH         @Chan = 5
  1.061  CALL         Sub LeCroy WRXi (1 yr) Ext Input Impedance IEEE /9500
  1.062  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.063  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.066  MATH         @Chan = 2
  1.067  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.068  MATH         @Chan = 3
  1.069  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.070  MATH         @Chan = 4
  1.071  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.072  MATH         @Chan = 5
  1.073  CALL         Sub LeCroy WRXi (1 yr) Ext Leakage Current IEEE /DMM
  1.074  JMPL         EXT_INPUT_IMPEDANCE

  1.075  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.076  MATH         @Chan = 1
  1.077  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.078  MATH         @Chan = 2
  1.079  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.080  MATH         @Chan = 3
  1.081  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.082  MATH         @Chan = 4
  1.083  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.084  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.085  LABEL        DC_GAIN_ACC_CH1
  1.086  MATH         @Chan = 1
  1.087  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.088  JMPL         OFFSET_ACC_CH1

  1.089  LABEL        DC_GAIN_ACC_CH2
  1.090  MATH         @Chan = 2
  1.091  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.092  JMPL         OFFSET_ACC_CH2

  1.093  LABEL        DC_GAIN_ACC_CH3
  1.094  MATH         @Chan = 3
  1.095  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.096  JMPL         OFFSET_ACC_CH3

  1.097  LABEL        DC_GAIN_ACC_CH4
  1.098  MATH         @Chan = 4
  1.099  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.100  JMPL         OFFSET_ACC_CH4

  1.101  LABEL        OFFSET_ACC_CH1
  1.102  MATH         @Chan = 1
  1.103  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.104  JMPL         BANDWIDTH_CH1

  1.105  LABEL        OFFSET_ACC_CH2
  1.106  MATH         @Chan = 2
  1.107  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.108  JMPL         BANDWIDTH_CH2

  1.109  LABEL        OFFSET_ACC_CH3
  1.110  MATH         @Chan = 3
  1.111  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.112  JMPL         BANDWIDTH_CH3

  1.113  LABEL        OFFSET_ACC_CH4
  1.114  MATH         @Chan = 4
  1.115  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.116  JMPL         BANDWIDTH_CH4

  1.117  LABEL        BANDWIDTH_CH1
  1.118  MATH         @Chan = 1
  1.119  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/3200
  1.120  JMPL         TRIGGER_LEVEL_CH1

  1.121  LABEL        BANDWIDTH_CH2
  1.122  MATH         @Chan = 2
  1.123  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/3200
  1.124  JMPL         TRIGGER_LEVEL_CH2

  1.125  LABEL        BANDWIDTH_CH3
  1.126  MATH         @Chan = 3
  1.127  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/3200
  1.128  JMPL         TRIGGER_LEVEL_CH3

  1.129  LABEL        BANDWIDTH_CH4
  1.130  MATH         @Chan = 4
  1.131  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/3200
  1.132  JMPL         TRIGGER_LEVEL_CH4

  1.133  LABEL        TRIGGER_LEVEL_CH1
  1.134  MATH         @Chan = 1
  1.135  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.136  JMPL         TIME_BASE

  1.137  LABEL        TRIGGER_LEVEL_CH2
  1.138  MATH         @Chan = 2
  1.139  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.140  JMPL         CHANNEL_INPUT_IMPEDANCE_CH3

  1.141  LABEL        TRIGGER_LEVEL_CH3
  1.142  MATH         @Chan = 3
  1.143  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.144  JMPL         CHANNEL_INPUT_IMPEDANCE_CH4

  1.145  LABEL        TRIGGER_LEVEL_CH4
  1.146  MATH         @Chan = 4
  1.147  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.148  JMPL         END

  1.149  LABEL        TIME_BASE
  1.150  MATH         @Chan = 1
  1.151  CALL         Sub LeCroy WRXi (1 yr) Time Base Acc IEEE /9500
  1.152  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.153  LABEL        END
  1.154  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.155  END