﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/3200
DATE:                  2007-10-18 08:02:21
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       255
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:  VY
#
#  Model(s) Covered:  WR104Xi, WR204Xi
#
#  Compatibility:     MET/CAL 7.20 or later
#
#  Subprocedures:     Sub LeCroy WRXi Cal Initialize IEEE
#
#  Required Files:    None
#
#  Additional Equipment Required:
#                     None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub LeCroy WRXi Cal Initialize IEEE
  1.002  MATH         Ch = @Chan
  1.003  9500         *                                                 S

  1.004  IF           Ch == 1
  1.005  RSLT         =
  1.006  RSLT         =BANDWIDTH
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V Ch]

  1.010  RSLT         =
  1.011  HEAD         BANDWIDTH (CH [V Ch]):{ 10 mV/div, 50 Ohms}
  1.012  TARGET
  1.013  IEEE2        C[V Ch]:CPL D50;VDIV 10E-3;OFST 0
  1.014  IEEE2        TRSE EDGE,SR,C[V Ch];C[V Ch]:TRSL POS;TRCP DC
  1.015  IEEE2        TRMD AUTO
  1.016  IEEE2        TDIV 50E-9
  1.017  IEEE2        CRMS CUST
  1.018  IEEE2        PACL
  1.019  IEEE2        PACU 1,SDEV,C[V Ch]
  1.019  IEEE2        PACU 2,FREQ,C[V Ch]

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  1.020  MATH         MEM = 60; MEM1 = MEM
  1.021  IEEE2        PACU 3,PKPK,C[V Ch]

  1.022  DO
  1.023  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.024  IF           MEM > 3360 || MEM < 4.4401
  1.025  MATH         MEM = 60
  1.026  ENDIF

  1.027  9500         mVpp                         10MH           LS    S  L
  1.028  IEEE2        CLSW[D1000]
  1.029  IEEE         PAVA? PKPK[I$]
  1.030  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  1.031  UNTIL        MEM > 59 && MEM < 60

# Query the standard deviation in 10MHz.
  1.032  IEEE         PAVA? SDEV[I$]
  1.033  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  1.034  MATH         Vsdev10M = MEM

# Last calibrator amplitude setting is in MEM1.
  1.035  MATH         MEM = MEM1
  1.036  MATH         Fmax = "2000.1 MHz"
  1.037  9500         mVpp                         2000.1MH       LS    S  L
  1.038  WAIT         -t 3 Settling...
# Query the standard deviation in -3dB point.
  1.039  IEEE         PAVA? SDEV[I$]
  1.040  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  1.041  MATH         VsdevBW = MEM
  1.042  MATH         Gain = VsdevBW / Vsdev10M
  1.043  MATH         GainStr = FMT(Gain, "%.3f")
  1.044  MATH         Vin = FMT(Vsdev10M, "%.1f")
  1.045  MATH         Vbw = FMT(VsdevBW, "%.1f")
  1.046  MATH         RsltStr = " Bound:>=0.707, " & Vin &"-->" & Vbw &" mV"
  1.047  MATH         RsltStr = RsltStr & " (" & Fmax & "), Gain:" & GainStr
  1.048  EVAL   -e Gain >= 0.707 : [V RsltStr]

  2.001  RSLT         =
  2.002  HEAD         BANDWIDTH (CH [V Ch]):{ 50 mV/div, 50 Ohms}
  2.003  TARGET
  2.004  IEEE2        C[V Ch]:VDIV 50E-3

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  2.005  MATH         MEM = 300; MEM1 = MEM

  2.006  DO
  2.007  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.008  IF           MEM > 3360 || MEM < 4.4401
  2.009  MATH         MEM = 300
  2.010  ENDIF

  2.011  9500         mVpp                         10MH           LS    S  L
  2.012  IEEE2        CLSW[D1000]
  2.013  IEEE         PAVA? PKPK[I$]
  2.014  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  2.015  UNTIL        MEM > 295 && MEM < 305

# Query the standard deviation in 10MHz.
  2.016  IEEE         PAVA? SDEV[I$]
  2.017  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  2.018  MATH         Vsdev10M = MEM

# Last calibrator amplitude setting is in MEM1.
  2.019  MATH         MEM = MEM1
  2.020  MATH         Fmax = "2000.1 MHz"
  2.021  9500         mVpp                         2000.1MH       LS    S  L
  2.022  WAIT         -t 3 Settling...
# Query the standard deviation in -3dB point.
  2.023  IEEE         PAVA? SDEV[I$]
  2.024  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  2.025  MATH         VsdevBW = MEM
  2.026  MATH         Gain = VsdevBW / Vsdev10M
  2.027  MATH         GainStr = FMT(Gain, "%.3f")
  2.028  MATH         Vin = FMT(Vsdev10M, "%.0f")
  2.029  MATH         Vbw = FMT(VsdevBW, "%.0f")
  2.030  MATH         RsltStr = " Bound:>=0.707, " & Vin &"-->" & Vbw &" mV"
  2.031  MATH         RsltStr = RsltStr & " (" & Fmax & "), Gain:" & GainStr
  2.032  EVAL   -e Gain >= 0.707 : [V RsltStr]

  3.001  RSLT         =
  3.002  HEAD         BANDWIDTH (CH [V Ch]):{ 100 mV/div, 50 Ohms}
  3.003  TARGET
  3.004  IEEE2        C[V Ch]:VDIV 100E-3

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  3.005  MATH         MEM = 600; MEM1 = MEM

  3.006  DO
  3.007  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.008  IF           MEM > 3360 || MEM < 4.4401
  3.009  MATH         MEM = 600
  3.010  ENDIF

  3.011  9500         mVpp                         10MH           LS    S  L
  3.012  IEEE2        CLSW[D1000]
  3.013  IEEE         PAVA? PKPK[I$]
  3.014  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  3.015  UNTIL        MEM > 590 && MEM < 610

# Query the standard deviation in 10MHz.
  3.016  IEEE         PAVA? SDEV[I$]
  3.017  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  3.018  MATH         Vsdev10M = MEM

# Last calibrator amplitude setting is in MEM1.
  3.019  MATH         MEM = MEM1
  3.020  MATH         Fmax = "2000.1 MHz"
  3.021  9500         mVpp                         2000.1MH       LS    S  L
  3.022  WAIT         -t 3 Settling...
# Query the standard deviation in -3dB point.
  3.023  IEEE         PAVA? SDEV[I$]
  3.024  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  3.025  MATH         VsdevBW = MEM
  3.026  MATH         Gain = VsdevBW / Vsdev10M
  3.027  MATH         GainStr = FMT(Gain, "%.3f")
  3.028  MATH         Vin = FMT(Vsdev10M, "%.0f")
  3.029  MATH         Vbw = FMT(VsdevBW, "%.0f")
  3.030  MATH         RsltStr = " Bound:>=0.707, " & Vin &"-->" & Vbw &" mV"
  3.031  MATH         RsltStr = RsltStr & " (" & Fmax & "), Gain:" & GainStr
  3.032  EVAL   -e Gain >= 0.707 : [V RsltStr]

  4.001  RSLT         =
  4.002  HEAD         BANDWIDTH (CH [V Ch]):{ 500 mV/div, 50 Ohms}
  4.003  TARGET
  4.004  IEEE2        C[V Ch]:VDIV 500E-3

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  4.005  MATH         MEM = 3000; MEM1 = MEM

  4.006  DO
  4.007  MATH         MEM = MEM1 + (3000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.008  IF           MEM > 3360 || MEM < 4.4401
  4.009  MATH         MEM = 3000
  4.010  ENDIF

  4.011  9500         mVpp                         10MH           LS    S  L
  4.012  IEEE2        CLSW[D1000]
  4.013  IEEE         PAVA? PKPK[I$]
  4.014  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  4.015  UNTIL        MEM > 2900 && MEM < 3100

# Query the standard deviation in 10MHz.
  4.016  IEEE         PAVA? SDEV[I$]
  4.017  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  4.018  MATH         Vsdev10M = MEM

# Last calibrator amplitude setting is in MEM1.
  4.019  MATH         MEM = MEM1
  4.020  MATH         Fmax = "2000.1 MHz"
  4.021  9500         mVpp                         2000.1MH       LS    S  L
  4.022  WAIT         -t 3 Settling...
# Query the standard deviation in -3dB point.
  4.023  IEEE         PAVA? SDEV[I$]
  4.024  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  4.025  MATH         VsdevBW = MEM
  4.026  MATH         Gain = VsdevBW / Vsdev10M
  4.027  MATH         GainStr = FMT(Gain, "%.3f")
  4.028  MATH         Vin = FMT(Vsdev10M, "%.0f")
  4.029  MATH         Vbw = FMT(VsdevBW, "%.0f")
  4.030  MATH         RsltStr = " Bound:>=0.707, " & Vin &"-->" & Vbw &" mV"
  4.031  MATH         RsltStr = RsltStr & " (" & Fmax & "), Gain:" & GainStr
  4.032  EVAL   -e Gain >= 0.707 : [V RsltStr]

  5.001  9500         *                                                 S
  5.002  END
